# ServiceRequest $referral-request

`POST /ServiceRequest/$referral-request`

This resource contains a request for patient services like treatment(s), operation(s), consulting, skilled nursing, or other medical-related service(s). 

For standard FHIR, you can review, retrieve, create, update, or cancel service requests. 

For <u>**360X**</u> workflows, you can submit, accept, decline, complete, or cancel referral requests for systems that use the 360X standard.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $referral-request

> **Open beta feature**
>
> This is an open beta feature, which means you won’t see it available in your organization until you opt in. If you’re interested in joining this beta, [talk to a Redoxer](https://redoxengine.com/forms/contact-us/) to find out if you’d be a good fit. 

Place a new service request order for a service or procedure in your connection’s system. At a minimum, this request must include this bundle of resources:

**Required**

- `Patient`
- `ServiceRequest`

**Optional**

- `Composition`
- `DocumentReference`

Also, you can opt in to receive these FHIR notifications with updates about how your connection processes your referral request: 

- `Referral Acknowledged`
- `Referral Accepted`
- `Referral Declined`
- `Referral Schedule Update`
- `Referral Completed`

> **Difference between $referral-request and $servicerequest-create**
>
> The `$referral-request` and `$servicerequest-create` writeback operations perform the same function of sending a patient referral to an external system. However, they do this differently under the hood. 
>
> - `$referral-request`: Relies on DirectTrust’s 360 Exchange for Closed Loop Referrals (360X) specs. [Learn more about 360X](https://directtrust.org/what-we-do/direct-secure-messaging/360x).  The writeback request includes the patient’s full medical history (i.e., C-CDA). 
> - `$servicerequest-create`: Relies on FHIR `ServiceRequest` and only includes the related `ServiceRequest` and corresponding `Patient` resources. 

## Request body

Bundle sent as part of a referral request message

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a message. Value: message |
| `entry` | Array of messageHeader or serviceRequest or patient or composition or documentReference or encounter or practitioner or organization or location or Other | Yes | An entry in the bundle containing a FHIR resource |
| `entry[] (messageHeader).resource` | object | Yes | Additional metadata about the message including the event |
| `entry[] (messageHeader).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: MessageHeader |
| `entry[] (messageHeader).resource.source` | object | Yes | Information about the sender of the message and the Bundle content. |
| `entry[] (messageHeader).resource.source.endpoint` | string | Yes | The Direct Address of the message sender (DirectAddressFrom). When sending via DirectTrust, this identifies the originating direct address. |
| `entry[] (messageHeader).resource.source.name` | string | No | Human-readable name for the source system. |
| `entry[] (messageHeader).resource.focus` | Array of object | Yes | This describes the focal target resource of the message from which the remainder of the content is referenced from Must be a resource of type `ServiceRequest`. |
| `entry[] (messageHeader).resource.focus[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (messageHeader).resource.eventUri` | string | Yes | This describes the message being communicated. Value: https://fhir.redoxengine.com/EventDefinition/ReferralRequest |
| `entry[] (messageHeader).resource.destination` | Array of object | No | The destination(s) for the message, including the Direct Address of the intended recipient. |
| `entry[] (messageHeader).resource.destination[].endpoint` | string | Yes | The Direct Address of the intended message recipient (DirectAddressTo). When sending via DirectTrust, this identifies the target direct address. |
| `entry[] (serviceRequest).resource` | object | Yes | The ServiceRequest representing the referral |
| `entry[] (serviceRequest).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: ServiceRequest |
| `entry[] (serviceRequest).resource.status` | string | Yes | The status of the order. Possible values: draft, active, on-hold, revoked, completed, entered-in-error, unknown |
| `entry[] (serviceRequest).resource._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (serviceRequest).resource._status.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource._status.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (serviceRequest).resource._status.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (serviceRequest).resource._status.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (serviceRequest).resource._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.intent` | string | Yes | Whether the request is a proposal, plan, an original order or a reflex order. Possible values: proposal, plan, directive, order, original-order, reflex-order, filler-order, instance-order, option |
| `entry[] (serviceRequest).resource.subject` | object | Yes | On whom or what the service is to be performed. This is usually a human patient, but can also be requested on animals, groups of humans or animals, devices such as dialysis machines, or even locations (typically for environmental scans). Must be a resource of type `Patient`. |
| `entry[] (serviceRequest).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (serviceRequest).resource.identifier` | Array of object | No | Identifiers assigned to this order instance by the orderer and/or the receiver and/or order fulfiller. |
| `entry[] (serviceRequest).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (serviceRequest).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (serviceRequest).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (serviceRequest).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (serviceRequest).resource.category` | Array of planOfCareType or Other | No | A code that classifies the service for searching, sorting and display purposes (e.g. "Surgical Procedure"). |
| `entry[] (serviceRequest).resource.category[] (planOfCareType).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource.category[] (planOfCareType).coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: urn:redox:plan_of_care_type |
| `entry[] (serviceRequest).resource.category[] (planOfCareType).coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Possible values: Orders, Services, Procedures |
| `entry[] (serviceRequest).resource.category[] (planOfCareType).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource.category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource.category[] (Other).coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.category[] (Other).coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.category[] (Other).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource.code` | object | No | A code that identifies a particular service (i.e., procedure, diagnostic investigation, or panel of investigations) that have been requested. |
| `entry[] (serviceRequest).resource.code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (serviceRequest).resource.code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (serviceRequest).resource.code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (serviceRequest).resource.code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (serviceRequest).resource.encounter` | object | No | An encounter that provides additional information about the healthcare context in which this request is made. Must be a resource of type `Encounter`. |
| `entry[] (serviceRequest).resource.encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.authoredOn` | string | No | When the request transitioned to being actionable. |
| `entry[] (serviceRequest).resource.requester` | object | No | The individual who initiated the request and has responsibility for its activation. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `Organization` - `Patient` - `RelatedPerson` - `Device` |
| `entry[] (serviceRequest).resource.requester.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (serviceRequest).resource.occurrenceDateTime` | string | No | The date/time at which the requested service should occur. |
| `entry[] (patient).resource` | object | Yes | The Patient being referred |
| `entry[] (patient).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Patient |
| `entry[] (patient).resource.identifier` | Array of object | Yes | An identifier for this patient. |
| `entry[] (patient).resource.identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (patient).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (patient).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (patient).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (patient).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (patient).resource.name` | Array of object | Yes | A name associated with the individual. |
| `entry[] (patient).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (patient).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.gender` | string | Yes | Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes. Possible values: (USCDI) male, female, other, unknown |
| `entry[] (patient).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (patient).resource.extension` | Array of race or ethnicity or birthsex or patient-citizenship or Other | No | Additional information about patients not represented by standard FHIR fields. |
| `entry[] (patient).resource.extension[] (race).extension` | Array of ombCategory or text | Yes | Sub-extensions to carry more information about the patient's ethnicity |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (race).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (race).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-race |
| `entry[] (patient).resource.extension[] (ethnicity).extension` | Array of ombCategory or text | Yes | An Extension |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity |
| `entry[] (patient).resource.extension[] (birthsex).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-birthsex |
| `entry[] (patient).resource.extension[] (birthsex).valueCode` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). Only one of `valueBase64Binary`, `valueBoolean`, `valueCanonical`, `valueCode`, `valueDate`, `valueDateTime`, `valueDecimal`, `valueId`, `valueInstant`, `valueInteger`, `valueMarkdown`, `valueOid`, `valuePositiveInt`, `valueString`, `valueTime`, `valueUnsignedInt`, `valueUri`, `valueUrl`, `valueUuid`, `valueAddress`, `valueAge`, `valueAnnotation`, `valueAttachment`, `valueCodeableConcept`, `valueCoding`, `valueContactPoint`, `valueCount`, `valueDistance`, `valueDuration`, `valueHumanName`, `valueIdentifier`, `valueMoney`, `valuePeriod`, `valueQuantity`, `valueRange`, `valueRatio`, `valueReference`, `valueSampledData`, `valueSignature`, `valueTiming`, `valueContactDetail`, `valueContributor`, `valueDataRequirement`, `valueExpression`, `valueParameterDefinition`, `valueRelatedArtifact`, `valueTriggerDefinition`, `valueUsageContext`, `valueDosage`, `valueMeta` may be present. Possible values: M, F |
| `entry[] (patient).resource.extension[] (patient-citizenship).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/patient-citizenship |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: code |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (patient).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.active` | boolean | No | Whether this patient record is in active use. Many systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules. It is often used to filter patient lists to exclude inactive patients Deceased patients may also be marked as inactive for the same reasons, but may be active for some time after death. |
| `entry[] (patient).resource.telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted. |
| `entry[] (patient).resource.telecom[].system` | string | Yes | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: email, fax, other, pager, sms, url |
| `entry[] (patient).resource.telecom[].value` | string | Yes | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: mobile, old, temp, work |
| `entry[] (patient).resource.birthDate` | string | No | The date of birth for the individual. |
| `entry[] (patient).resource.address` | Array of object | No | An address for the individual. |
| `entry[] (patient).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.contact` | Array of object | No | A contact party (e.g. guardian, partner, friend) for the patient. |
| `entry[] (patient).resource.contact[].relationship` | Array of object | No | The nature of the relationship between the patient and the contact. Redox sends and recognizes the following values for system: - `http://terminology.hl7.org/CodeSystem/v3-RoleCode` - used as RelationToPatient - `http://terminology.hl7.org/CodeSystem/v2-0131` - used as the ContactRole |
| `entry[] (patient).resource.contact[].relationship[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.contact[].relationship[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.contact[].relationship[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.contact[].relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.contact[].name` | object | No | A name associated with the contact person. |
| `entry[] (patient).resource.contact[].name.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.contact[].name.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.contact[].name.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.contact[].telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (patient).resource.contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (patient).resource.contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (patient).resource.contact[].address` | object | No | Address for the contact person. |
| `entry[] (patient).resource.contact[].address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.contact[].address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.contact[].address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.contact[].address.district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.contact[].address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.contact[].address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.contact[].address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.communication` | Array of object | No | A language which may be used to communicate with the patient about his or her health. |
| `entry[] (patient).resource.communication[].language` | object | Yes | The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English. |
| `entry[] (patient).resource.communication[].language.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.communication[].language.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.communication[].language.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.communication[].language.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.generalPractitioner` | Array of object | No | Patient's nominated care provider. Must be a resource of type `Practitioner`. |
| `entry[] (patient).resource.generalPractitioner[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.managingOrganization` | object | No | Organization that is the custodian of the patient record. Must be a resource of type `Organization`. |
| `entry[] (patient).resource.managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link` | Array of object | No | Link to another patient resource that concerns the same actual patient. |
| `entry[] (patient).resource.link[].other` | object | Yes | The other patient resource that the link refers to. Must be a resource of type `Patient`. |
| `entry[] (patient).resource.link[].other.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link[].type` | string | Yes | The type of link between this patient resource and another patient resource. Possible values: replaced-by, replaces |
| `entry[] (patient).resource.deceasedBoolean` | boolean | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (patient).resource.deceasedDateTime` | string | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (composition).resource` | object | Yes | Clinical summary document for the referral |
| `entry[] (composition).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Composition |
| `entry[] (composition).resource.language` | string | Yes | The base language in which the resource is written. |
| `entry[] (composition).resource.identifier` | object | Yes | A version-independent identifier for the Composition. This identifier stays constant as the composition is changed over time. |
| `entry[] (composition).resource.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (composition).resource.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (composition).resource.status` | string | Yes | The workflow/clinical status of this composition. The status is a marker for the clinical standing of the document. Possible values: preliminary, final, amended, entered-in-error |
| `entry[] (composition).resource.type` | object | Yes | Specifies the particular kind of composition (e.g. History and Physical, Discharge Summary, Progress Note). This usually equates to the purpose of making the composition. |
| `entry[] (composition).resource.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (composition).resource.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (composition).resource.subject` | object | Yes | Who or what the composition is about. The composition can be about a person, (patient or healthcare practitioner), a device (e.g. a machine) or even a group of subjects (such as a document about a herd of livestock, or a set of patients that share a common exposure). Must be a resource of type `Patient`. |
| `entry[] (composition).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.date` | string | Yes | The composition editing time, when the composition was last logically changed by the author. |
| `entry[] (composition).resource.author` | Array of object | Yes | Identifies who is responsible for the information in the composition, not necessarily who typed it in. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` |
| `entry[] (composition).resource.author[].extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (composition).resource.author[].extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (composition).resource.author[].extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (composition).resource.author[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (composition).resource.author[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.author[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (composition).resource.author[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.author[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (composition).resource.author[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.author[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (composition).resource.author[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.author[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (composition).resource.author[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.author[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.author[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.author[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (composition).resource.author[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (composition).resource.author[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.author[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (composition).resource.author[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.author[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.title` | string | Yes | Official human-readable label for the composition. |
| `entry[] (composition).resource.custodian` | object | Yes | Identifies the organization or group who is responsible for ongoing maintenance of and access to the composition/document information. Must be a resource of type `Organization`. |
| `entry[] (composition).resource.custodian.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.event` | Array of object | Yes | event is unsupported, but required by FHIR. |
| `entry[] (composition).resource.event[].extension` | Array of object | No | Identifies this field as unsupported |
| `entry[] (composition).resource.event[].extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (composition).resource.event[].extension[].valueCode` | string | Yes | The reason a required field is missing. Value: unsupported |
| `entry[] (composition).resource.section` | Array of AdmissionDiagnosis or AdvanceDirectives or Allergies or Assessment or CareTeam or ChiefComplaint or DischargeDiagnosis or DischargeMedications or Encounters or FamilyHistory or FunctionalStatus or Goals or HealthConcerns or HistoryOfPresentIllness or Immunizations or Instructions or Insurances or Interventions or MedicalEquipment or MedicalHistory or Medications or MedicationsAdministered or Objective or PhysicalExam or PlanOfTreatment or Problems or Procedures or ReasonForReferral or ReasonForVisit or ResolvedProblems or Results or ReviewOfSystems or SocialHistory or Subjective or VitalSigns or Other | Yes | The root of the sections that make up the composition. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).title` | string | Yes | Human-readable name of section, e.g. `Admission Diagnosis` |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).code` | object | Yes | Contains two codes (`46241-6` and `42347-5`) because C-CDA requires both to identify the section as Admission Diagnosis |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).code.coding` | Array of HospitalAdmissionDx or AdmissionDx | Yes | An array of two discrete codes |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).code.coding[] (HospitalAdmissionDx).code` | string | Yes | Value: 46241-6 |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).code.coding[] (HospitalAdmissionDx).system` | string | Yes | Value: http://loinc.org |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).code.coding[] (AdmissionDx).code` | string | Yes | Value: 42347-5 |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).code.coding[] (AdmissionDx).system` | string | Yes | Value: http://loinc.org |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).code.text` | string | Yes | Value: Admission Diagnosis |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Condition`. |
| `entry[] (composition).resource.section[] (AdmissionDiagnosis).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).title` | string | Yes | Human-readable name of section, e.g. `Advance Directives` |
| `entry[] (composition).resource.section[] (AdvanceDirectives).code` | object | Yes | LOINC code of `42348-3` programmatically identifying section as Advance Directives |
| `entry[] (composition).resource.section[] (AdvanceDirectives).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (composition).resource.section[] (AdvanceDirectives).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (composition).resource.section[] (AdvanceDirectives).code.coding[].code` | string | Yes | Identifies the section as Advance Directives. Value: 42348-3 |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Consent`. |
| `entry[] (composition).resource.section[] (AdvanceDirectives).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (Allergies).title` | string | Yes | Human-readable name of section, e.g. `Allergies` |
| `entry[] (composition).resource.section[] (Allergies).code` | object | Yes | LOINC code of `48765-2` programmatically identifying section as Allergies |
| `entry[] (composition).resource.section[] (Allergies).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (composition).resource.section[] (Allergies).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (composition).resource.section[] (Allergies).code.coding[].code` | string | Yes | Identifies the section as Allergies. Value: 48765-2 |
| `entry[] (composition).resource.section[] (Allergies).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (composition).resource.section[] (Allergies).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (composition).resource.section[] (Allergies).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Allergies).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (Allergies).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (composition).resource.section[] (Allergies).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `AllergyIntolerance`. |
| `entry[] (composition).resource.section[] (Allergies).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (Assessment).title` | string | Yes | Human-readable name of section, e.g. `Assessment` |
| `entry[] (composition).resource.section[] (Assessment).code` | object | Yes | LOINC code of `51848-0` programmatically identifying section as Assessment |
| `entry[] (composition).resource.section[] (Assessment).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (composition).resource.section[] (Assessment).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (composition).resource.section[] (Assessment).code.coding[].code` | string | Yes | Identifies the section as Assessment. Value: 51848-0 |
| `entry[] (composition).resource.section[] (Assessment).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (composition).resource.section[] (Assessment).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (composition).resource.section[] (Assessment).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (Assessment).text._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (Assessment).text.div` | any | Yes | The actual narrative content, a stripped down version of XHTML. |
| `entry[] (composition).resource.section[] (Assessment).entry` | Array of object | No | A reference to a discrete resource for the section Must be a resource of type `Condition`. |
| `entry[] (composition).resource.section[] (Assessment).entry[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (composition).resource.section[] (CareTeam).title` | string | Yes | Human-readable name of section, e.g. `Care Teams` |
| `entry[] (composition).resource.section[] (CareTeam).code` | object | Yes | LOINC code of `85847-2` programmatically identifying section as Care Teams |
| `entry[] (composition).resource.section[] (CareTeam).code.coding` | Array of object | Yes | A discrete code |
| `entry[] (composition).resource.section[] (CareTeam).code.coding[].system` | string | Yes | http://loinc.org. Value: http://loinc.org |
| `entry[] (composition).resource.section[] (CareTeam).code.coding[].code` | string | Yes | Identifies the section as Care Teams. Value: 85847-2 |
| `entry[] (composition).resource.section[] (CareTeam).text` | object | No | A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. |
| `entry[] (composition).resource.section[] (CareTeam).text.status` | string | Yes | The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data. Possible values: generated, extensions, additional, empty |
| `entry[] (composition).resource.section[] (CareTeam).text._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension` | Array of DataAbsentReason or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (DataAbsentReason).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/data-absent-reason |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (DataAbsentReason).valueCode` | string | Yes | The reason a required field is missing. Possible values: unknown, asked-unknown, temp-unknown, not-asked, asked-declined, masked, not-applicable, unsupported, as-text, error, not-a-number, negative-infinity, positive-infinity, not-performed, not-permitted |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (composition).resource.section[] (CareTeam).text._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
[...]
